Bug 301326 - Export to pdf does not respect reports page layout
Summary: Export to pdf does not respect reports page layout
Status: RESOLVED FIXED
Alias: None
Product: calligraplan
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dag Andersen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-07 07:18 UTC by Dag Andersen
Modified: 2012-06-13 09:51 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dag Andersen 2012-06-07 07:18:57 UTC
When exporting reports using "File->Export as pdf " the page settings of the the report is not used.

Reproducible: Always
Comment 1 Dag Andersen 2012-06-08 11:48:20 UTC
Git commit 335e867f6c021409f229f7522ec1b8813ac18376 by Dag Andersen.
Committed on 08/06/2012 at 07:50.
Pushed by danders into branch 'master'.

Fix bug 301326 - Export to pdf does not respect reports page layout

M  +2    -0    plan/CHANGELOG
M  +5    -0    plan/kptview.cpp
M  +2    -0    plan/kptview.h
M  +5    -0    plan/libs/ui/kptviewbase.cpp
M  +4    -3    plan/libs/ui/kptviewbase.h
M  +24   -1    plan/libs/ui/reports/reportview.cpp
M  +4    -0    plan/libs/ui/reports/reportview.h

http://commits.kde.org/calligra/335e867f6c021409f229f7522ec1b8813ac18376
Comment 2 Yue Liu 2012-06-13 09:51:29 UTC
Git commit afe4743c11df7b98adff300d00ab0b6475ce6e47 by Yue Liu, on behalf of Dag Andersen.
Committed on 08/06/2012 at 07:50.
Pushed by liu into branch 'connection-interaction-yue'.

Fix bug 301326 - Export to pdf does not respect reports page layout

M  +2    -0    plan/CHANGELOG
M  +5    -0    plan/kptview.cpp
M  +2    -0    plan/kptview.h
M  +5    -0    plan/libs/ui/kptviewbase.cpp
M  +4    -3    plan/libs/ui/kptviewbase.h
M  +24   -1    plan/libs/ui/reports/reportview.cpp
M  +4    -0    plan/libs/ui/reports/reportview.h

http://commits.kde.org/calligra/afe4743c11df7b98adff300d00ab0b6475ce6e47